=head1 NAME

Gtk2::IconSource

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::IconSource



=cut


=head1 METHODS

=head2 iconsource = Gtk2::IconSource-E<gt>B<new> 

=head2 textdirection = $source-E<gt>B<get_direction> 

=head2 $source-E<gt>B<set_direction> ($direction)

=over

=item * $direction (Gtk2::TextDirection) 

=back

=head2 boolean = $source-E<gt>B<get_direction_wildcarded> 

=head2 $source-E<gt>B<set_direction_wildcarded> ($setting)

=over

=item * $setting (boolean) 

=back

=head2 localized file name = $source-E<gt>B<get_filename> 

=head2 $source-E<gt>B<set_filename> ($filename)

=over

=item * $filename (localized file name) 

=back

=head2 string = $source-E<gt>B<get_icon_name> 

Since: gtk+ 2.4

=head2 $source-E<gt>B<set_icon_name> ($icon_name)

=over

=item * $icon_name (string) 

=back

Since: gtk+ 2.4

=head2 pixbuf or undef = $source-E<gt>B<get_pixbuf> 

=head2 $source-E<gt>B<set_pixbuf> ($pixbuf)

=over

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

=head2 iconsize = $source-E<gt>B<get_size> 

=head2 $source-E<gt>B<set_size> ($size)

=over

=item * $size (Gtk2::IconSize) 

=back

=head2 boolean = $source-E<gt>B<get_size_wildcarded> 

=head2 $source-E<gt>B<set_size_wildcarded> ($setting)

=over

=item * $setting (boolean) 

=back

=head2 statetype = $source-E<gt>B<get_state> 

=head2 $source-E<gt>B<set_state> ($state)

=over

=item * $state (Gtk2::StateType) 

=back

=head2 boolean = $source-E<gt>B<get_state_wildcarded> 

=head2 $source-E<gt>B<set_state_wildcarded> ($setting)

=over

=item * $setting (boolean) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back


=head2 enum Gtk2::StateType

=over

=item * 'normal' / 'GTK_STATE_NORMAL'

=item * 'active' / 'GTK_STATE_ACTIVE'

=item * 'prelight' / 'GTK_STATE_PRELIGHT'

=item * 'selected' / 'GTK_STATE_SELECTED'

=item * 'insensitive' / 'GTK_STATE_INSENSITIVE'

=back


=head2 enum Gtk2::TextDirection

=over

=item * 'none' / 'GTK_TEXT_DIR_NONE'

=item * 'ltr' / 'GTK_TEXT_DIR_LTR'

=item * 'rtl' / 'GTK_TEXT_DIR_RTL'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

